Bug 165211 - [PATCH] multimedia/zoneminder: update up to 1.25.0 release from 1.24.4
[PATCH] multimedia/zoneminder: update up to 1.25.0 release from 1.24.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-16 19:50 UTC by pakhom706
Modified: 2012-03-30 19:10 UTC (History)
0 users

See Also:


Attachments
file.diff (33.32 KB, patch)
2012-02-16 19:50 UTC, pakhom706
no flags Details | Diff
zoneminder.txt (8.34 KB, text/plain)
2012-02-16 21:15 UTC, pakhom706
no flags Details
zoneminder.txt (8.02 KB, text/plain)
2012-02-17 10:39 UTC, pakhom706
no flags Details
zoneminder.txt (8.21 KB, text/plain)
2012-02-21 12:41 UTC, pakhom706
no flags Details
zoneminder.txt (8.44 KB, text/plain)
2012-02-28 21:29 UTC, pakhom706
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pakhom706 2012-02-16 19:50:14 UTC
[PATCH] multimedia/zoneminder: update up to 1.25.0 release from 1.24.4
set maintainer to me

Fix: Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/multimedia/zoneminder && make install
Comment 1 jgh@FreeBSD.org freebsd_committer 2012-02-16 19:59:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 pakhom706 2012-02-16 21:15:49 UTC
Hi,

Please find fixed diff

Thanks a lot!
Comment 3 jgh@FreeBSD.org freebsd_committer 2012-02-17 05:30:31 UTC
State Changed
From-To: open->feedback

your diff shouldn't show a difference in the FreeBSD tag, or it is 
out-of-date. Can you please regenerate patch?
Comment 4 pakhom706 2012-02-17 07:24:29 UTC
Hello,

The first "diff" was wrong, so I generated a new one and send it via 
e-mail from Fri, 17 Feb 2012 01:15.
Did you receive it?

Thanks
Comment 5 pakhom706 2012-02-17 10:39:31 UTC
Hello,

I regenerate patch with same the FreeBSD tag.

Thanks
Comment 6 jgh@FreeBSD.org freebsd_committer 2012-02-19 02:37:26 UTC
wrong pr. sorry
-- 
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 7 jgh@FreeBSD.org freebsd_committer 2012-02-19 16:01:16 UTC
State Changed
From-To: feedback->analyzed

any feedback on the linker errors here => 
https://redports.org/buildarchive/20120219073509-61074/
Comment 8 pakhom706 2012-02-21 12:41:04 UTC
Hello,

I regenerate patch.

Thanks
Comment 9 pakhom706 2012-02-28 20:50:19 UTC
Hello,
Could you please verify that before build oldest files was remove.
I try build again and all man pages are compressed:
# find /var/tmp/zoneminder_t2/ -name 'ZoneMinder::*'
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Control.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Trigger::Channel::File.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Config.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::ConfigData.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Control::Ncs370.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Trigger::Connection.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Trigger::Channel::Spawning.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Database.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Control::PanasonicIP.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Control::PelcoD.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Base.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Control::AxisV2.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Trigger::Channel::Inet.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Control::mjpgStreamer.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::ConfigAdmin.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Trigger::Channel::Unix.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Trigger::Channel::Handle.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Trigger::Channel.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Memory.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Trigger::Channel::Serial.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Trigger::Connection::Example.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::General.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Control::Visca.3.gz
/var/tmp/zoneminder_t2/lib/perl5/5.12.4/man/man3/ZoneMinder::Logger.3.gz

After remove package all man pages removed:
# find /var/tmp/zoneminder_t2/ -name 'ZoneMinder::*'
#


Thanks
Comment 10 jgh@FreeBSD.org freebsd_committer 2012-02-28 21:07:31 UTC
I will look into this, however can you comment as to the linking errors here
for the update:
https://redports.org/buildarchive/20120222170408-43840/

-jgh

-- 
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 11 pakhom706 2012-02-28 21:29:17 UTC
This port does not compile on 7.X and 8.X.
I modify Makefile. Please find attach.
Thanks

29.02.2012 01:07, Jason Helfman пиÑеÑ:
> I will look into this, however can you comment as to the linking 
> errors here
> for the update:
> https://redports.org/buildarchive/20120222170408-43840/
>
> -jgh
>
Comment 12 jgh@FreeBSD.org freebsd_committer 2012-02-29 02:08:58 UTC
This builds fine, but leaves zm.conf behind. Can you please modify the
installation so zm.conf.sample is installed with the software, and not
zm.conf? As it is now, it seems no files are patched to take this .sample
file into account at build time.

I've taken care of the Debug.3.gz issue. Let me know if you need any help with the sample fix.

====================<phase 7: make package>====================
===>  Building package for zoneminder-1.25.0_1
tar: lib/perl5/5.12.4/man/man3/ZoneMinder::Debug.3.gz: Cannot stat: No such file or directory
tar: etc/zm.conf.sample: Cannot stat: No such file or directory
tar: Error exit delayed from previous errors.
pkg_create: make_dist: tar command failed with code 256
*** Error code 1

Stop in /a/ports/multimedia/zoneminder.
Deleting zoneminder-1.25.0_1
pkg_delete: file '/usr/local/lib/perl5/5.12.4/man/man3/ZoneMinder::Debug.3.gz' doesn't exist
pkg_delete: file '/usr/local/etc/zm.conf.sample' doesn't exist
pkg_delete: couldn't entirely delete package `zoneminder-1.25.0_1'
(perhaps the packing list is incorrectly specified?)

https://redports.org/~jgh/20120228232838-50630-13552/zoneminder-1.25.0_1.log

Thanks,
Jason

-- 
Jason Helfman         | FreeBSD Committer
jgh@FreeBSD.org       | http://people.freebsd.org/~jgh
Comment 13 dfilter freebsd_committer 2012-03-30 19:00:56 UTC
jgh         2012-03-30 18:00:42 UTC

  FreeBSD ports repository

  Modified files:
    multimedia/zoneminder Makefile distinfo pkg-plist 
    multimedia/zoneminder/files README.FreeBSD 
  Added files:
    multimedia/zoneminder/files patch-src_zm_logger.cpp 
  Log:
  - Update to 1.25.0
  - pass maintainerhship to submitter
  - broken on < 900000
  - while here drop WWWDIR_REL in favor of WWWDIR and use PORTDOCS
  
  PR:     ports/165211
  Submitted by:   pakhom706@gmail.com
  Feature safe:   yes
  
  Revision  Changes    Path
  1.24      +26 -23    ports/multimedia/zoneminder/Makefile
  1.4       +2 -2      ports/multimedia/zoneminder/distinfo
  1.2       +3 -0      ports/multimedia/zoneminder/files/README.FreeBSD
  1.1       +24 -0     ports/multimedia/zoneminder/files/patch-src_zm_logger.cpp (new)
  1.6       +269 -271  ports/multimedia/zoneminder/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 jgh@FreeBSD.org freebsd_committer 2012-03-30 19:01:09 UTC
State Changed
From-To: analyzed->closed

Committed, with minor changes. Thanks!